%bcond_with tests

%define python3_pkgversion 3.11
# Created by pyp2rpm-3.3.10
%global pypi_name grpcio
%global pypi_version 1.68.1
%global debug_package %{nil}

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        HTTP/2-based RPC framework

License:        Apache License 2.0
URL:            https://grpc.io
Source0:        %{pypi_source}
# Oracle patch
Patch1001:	0001-Modify-setup.py-file.patch

BuildRequires:  redhat-rpm-config
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%description
gRPC Python |compat_check_pypi|Package for gRPC Python... |compat_check_pyp
Supported Python Versions - Python > 3.8Installation gRPC Python is available
for Linux, macOS, and Windows.Installing From PyPI If you are installing
locally...:: $ pip install grpcioElse system wide (on Ubuntu)...:: $ sudo pip
install grpcioIf you're on Windows make sure that you installed the
:code:pip.exe component

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
gRPC Python |compat_check_pypi|Package for gRPC Python... |compat_check_pyp
Supported Python Versions - Python > 3.8Installation gRPC Python is available
for Linux, macOS, and Windows.Installing From PyPI If you are installing
locally...:: $ pip install grpcioElse system wide (on Ubuntu)...:: $ sudo pip
install grpcioIf you're on Windows make sure that you installed the
:code:pip.exe component


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%pytest
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 21 2025 Rafael Barron <rafael.barron@oracle.com> - 1.68.1-1.0.1
- Update to 1.68.1

* Mon Aug 05 2024 Darren Archibald <darren.archibald@oracle.com> - 1.63.0-1.0.1
- Modify the project to be buildable without pyproject toolset

* Wed Jul 31 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 1.63.0-1
- Initial package.
